Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security
Interface WSUserPasswordDigest

public interface WSUserPasswordDigest

The `WSUserPasswordDigest` interface defines the interface for for tokens that are passed to the assertIdentity call for the `wsse:PasswordDigest` token type.

Authentication providers generate password digest based on the nonce and creation data ad time in string format and assert identity based on the password digest value passed in this token.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getCreatedString()` Returns the digest created date and time as a String.
`long` | `getCreatedTimeInMillis()` Returns the digest created date and time as a long value.
`byte[]` | `getDecodedNonce()` Returns the decoded nonce.
`byte[]` | `getDecodedPasswordDigest()` Returns the decoded passsword digest value.
`String` | `getUsername()` Returns the name of the user whose identity is being asserted.

Method Detail

### getCreatedString

    public String getCreatedString()

  Returns the digest created date and time as a String. This value is used to compute the digest value. If the computed digest value matches the decoded password digest passed the users identity is asserted.

  Returns:
    the digest created date and time as a String.

### getCreatedTimeInMillis

    public long getCreatedTimeInMillis()

  Returns the digest created date and time as a long value. This value is used by the provider to check if the token should be considered for asserting the identity of the user.

  Returns:
    the digest created date and time.

### getDecodedNonce

    public byte[] getDecodedNonce()

  Returns the decoded nonce. This value is used to compute the digest value. If the computed digest value matches the decoded password digest passed the users identity is asserted.

  Returns:
    the decoded nonce.

### getDecodedPasswordDigest

    public byte[] getDecodedPasswordDigest()

  Returns the decoded passsword digest value. This value is matched with the computed digest value. if the values match the users identity is asserted.

  Returns:
    the decoded passsword digest value.

### getUsername

    public String getUsername()

  Returns the name of the user whose identity is being asserted.

  Returns:
    name of the user whose identity is being asserted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD